
rgw - Backport #17908

jewel: rgw: the response element "X-Timestamp" of swift stat bucket api is zero

11/15/2016 09:23 AM - Alexey Sheplyakov

Status: Resolved Spent time: 0.00 hour

Priority: Normal   

Assignee: Alexey Sheplyakov   

Target version: v10.2.6   

Release: jewel Crash signature (v2):  

Crash signature (v1):    

Description

https://github.com/ceph/ceph/pull/11990

Related issues:

Copied from rgw - Bug #16597: the response element "X-Timestamp" of swift sta... Resolved 07/06/2016

History

#1 - 11/15/2016 09:23 AM - Alexey Sheplyakov

- Copied from Bug #16597: the response element "X-Timestamp" of swift stat bucket api is zero added

#2 - 11/15/2016 09:31 AM - Alexey Sheplyakov

https://github.com/ceph/ceph/pull/11990

#3 - 11/15/2016 09:48 PM - Nathan Cutler

- Description updated

- Status changed from New to In Progress

- Assignee set to Alexey Sheplyakov

original description

when we get the stat of a bucket with swift stat bucket api, the response element "X-Timestamp" is zero, i.e.

```

[root@c7 weiqm]# swift stat my-bucket-3

Account: v1

Container: my-bucket-3

Objects: 0

Bytes: 0

Read ACL:

Write ACL:

Sync To:

Sync Key:

Accept-Ranges: bytes

X-Storage-Policy: default-placement

X-Container-Bytes-Used-Actual: 0

X-Timestamp: 0.00000

X-Trans-Id: tx00000000000000000000f-00577a3762-31d43-default

Content-Type: text/plain; charset=utf-8

```

03/13/2024 1/2

https://github.com/ceph/ceph/pull/11990
https://github.com/ceph/ceph/pull/11990


#4 - 11/15/2016 09:48 PM - Nathan Cutler

- Subject changed from jewel: the response element "X-Timestamp" of swift stat bucket api is zero to jewel: rgw: the response element "X-Timestamp"

of swift stat bucket api is zero

#5 - 02/01/2017 02:35 PM - Nathan Cutler

- Status changed from In Progress to Resolved

- Target version set to v10.2.6
